CreateScanLogRequest
Create a scan log request.
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
scan-log-requests
CreateScanLogRequest
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-log-requests \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"max_entries": 123,
"admin_filter": "<string>",
"admin_search": true,
"end_time": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"installation_uuid": "<string>",
"log_levels": [
"LOG_LEVEL_UNSPECIFIED"
],
"newest_first": true,
"onprem_scheduler_uuid": "<string>",
"project_uuid": "<string>",
"scan_request_uuid": "<string>",
"scan_result_uuid": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"traverse": true
},
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-log-requests"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": {
"max_entries": 123,
"admin_filter": "<string>",
"admin_search": True,
"end_time": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"installation_uuid": "<string>",
"log_levels": ["LOG_LEVEL_UNSPECIFIED"],
"newest_first": True,
"onprem_scheduler_uuid": "<string>",
"project_uuid": "<string>",
"scan_request_uuid": "<string>",
"scan_result_uuid": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"traverse": True
},
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {
max_entries: 123,
admin_filter: '<string>',
admin_search: true,
end_time: '2023-11-07T05:31:56Z',
execution_id: '<string>',
installation_uuid: '<string>',
log_levels: ['LOG_LEVEL_UNSPECIFIED'],
newest_first: true,
onprem_scheduler_uuid: '<string>',
project_uuid: '<string>',
scan_request_uuid: '<string>',
scan_result_uuid: '<string>',
start_time: '2023-11-07T05:31:56Z',
traverse: true
},
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-log-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"max_entries": 123,
"admin_filter": "<string>",
"admin_search": true,
"applied_filter": "<string>",
"end_time": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"installation_uuid": "<string>",
"log_levels": [
"LOG_LEVEL_UNSPECIFIED"
],
"log_messages": [
{
"json_payload": {},
"level": "LOG_LEVEL_UNSPECIFIED",
"tags": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"newest_first": true,
"onprem_scheduler_uuid": "<string>",
"project_uuid": "<string>",
"scan_request_uuid": "<string>",
"scan_result_uuid": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"traverse": true
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
ScanLogRequest represents a CRUD operation on a message.
Was this page helpful?
⌘I
CreateScanLogRequest
